List Space Models
curl --request GET \
--url https://api.pulze.ai/v1/apps/{app_id}/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pulze.ai/v1/apps/{app_id}/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pulze.ai/v1/apps/{app_id}/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active_models": 123,
"base_model_settings": [
{
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": {
"supports_functions": true,
"supports_json": true,
"supports_n": true,
"supports_penalties": true,
"supports_stream": true,
"supports_vision": true,
"completion_token_cost": 123,
"prompt_token_cost": 123,
"base_cost": 123,
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"is_rag": true,
"is_ft": true,
"is_open_source": true,
"is_gdpr": true,
"is_chat": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_by": "<string>",
"added_on": "2023-11-07T05:31:56Z",
"modified_on": "2023-11-07T05:31:56Z",
"is_public": true,
"is_test_model": true,
"is_pulze_owner": true,
"default_active": true,
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": null,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": false,
"globally_disabled": false
}
],
"failover_models": [
{
"supports_functions": true,
"supports_json": true,
"supports_n": true,
"supports_penalties": true,
"supports_stream": true,
"supports_vision": true,
"completion_token_cost": 123,
"prompt_token_cost": 123,
"base_cost": 123,
"model": "<string>",
"namespace": "<string>",
"context_window": 123,
"until": "2023-11-07T05:31:56Z",
"description": "<string>",
"url": "<string>",
"is_rag": true,
"is_ft": true,
"is_open_source": true,
"is_gdpr": true,
"is_chat": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_by": "<string>",
"added_on": "2023-11-07T05:31:56Z",
"modified_on": "2023-11-07T05:31:56Z",
"is_public": true,
"is_test_model": true,
"is_pulze_owner": true,
"default_active": true,
"provider": "<string>",
"owner": "<string>",
"at": "<string>",
"api_target": "",
"deprecated_on": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": null,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Spaces
List Space Models
Retrieve the list of models for the Space.
GET
/
v1
/
apps
/
{app_id}
/
models
List Space Models
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Was this page helpful?
⌘I
